2019-12-12 01:53 CET

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0005242Spring engineGeneralpublic2016-05-18 00:55
ReporterGoogle_Frog 
Assigned Tohokomoko 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version101.0+git 
Target VersionFixed in Version 
Summary0005242: 101.0.1-369 Fuzzy icons
DescriptionUnit main map icons appear fuzzy, their edges are rough and sometimes jagged. It may be dependent on the map, I noticed this on Comet Catcher Redux.

Normal view, some icons are fuzzy: http://i.imgur.com/vRbfO6L.png
Close up with disticon 0: http://i.imgur.com/ZqnyMK0.png

Some icons are not fuzzy at any zoom level. These include the mex and fusion (double lightning bolt). Both of those icons have a black border whereas most other icons have transparency around their border.
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files
  • txt file icon infolog.txt (44,212 bytes) 2016-05-17 13:57 -
    [ParseCmdLine] command-line args: "C:\Users\Tim\Documents\My Games\Spring Dev\devEngine\spring.exe "C:\Users\Tim\Documents\My Games\Spring Dev\devEngine\scripts\CAI 2v2 CCR.txt""
    Using configuration source: "C:\Users\Tim\Documents\My Games\Spring Dev\devEngine\springsettings.cfg"
    Using additional configuration source: "C:\Users\Tim\Documents\My Games\Spring\springsettings.cfg"
    ============== <User Config> ==============
    AllowDeferredMapRendering = 1
    AllowDeferredModelRendering = 1
    BumpWaterBlurReflection = 1
    BumpWaterDepthBits = 16
    BumpWaterShoreWaves = 0
    BumpWaterTexSizeReflection = 128
    CamMode = 1
    CamTimeExponent = 4.0
    CamTimeFactor = 1.0
    DualScreenMiniMapOnLeft = 1
    EdgeMoveWidth = 0.002
    ExtraTextureUpdateRate = 10
    FPSFOV = 90
    FSAALevel = 2
    FontFile = FreeSansBold.otf
    Fullscreen = 0
    GroundDetail = 100
    GroundScarAlphaFade = 1
    HangTimeout = 0
    HardwareCursor = 1
    InitialNetworkTimeout = 0
    InputTextGeo = 0.26 0.73 0.02 0.028
    LODScale = 1.000
    LODScaleReflection = 1.000
    LODScaleRefraction = 1.000
    LODScaleShadow = 1.000
    LastSelectedMap = ScorpioBattleground
    LastSelectedMod = Zero-K $VERSION
    LastSelectedScript = Player Only: Testing Sandbox
    MaxParticles = 20000
    MaximumTransmissionUnit = 0
    MiddleClickScrollSpeed = -0.005
    MiniMapRenderToTexture = 0
    MouseDragScrollThreshold = 0
    ReconnectTimeout = 0
    ScreenshotCounter = 214
    ScrollWheelSpeed = -25
    Shadows = 1
    ShowClock = 0
    ShowFPS = 1
    ShowPlayerInfo = 0
    ShowSpeed = 1
    SmallFontFile = FreeSansBold.otf
    SmoothLines = 1
    TeamNanoSpray = 0
    TreeRadius = 1000
    UnitIconDist = 100
    UnitLodDist = 9999
    UsePBO = 0
    Water = 4
    WindowBorderless = 1
    WindowPosX = 0
    WindowPosY = 0
    snd_volmaster = 0
    snd_volmusic = 9
    ============== </User Config> ==============
    Available log sections: KeyBindings, AutohostInterface, GameServer, Net, CSMFGroundTextures, RoamMeshDrawer, BumpWater, DynWater, SkyBox, DecalsDrawerGL4, FarTextureHandler, Model, Piece, OBJParser, ModelRenderContainer, Shader, Texture, Font, CregSerializer, ArchiveScanner, VFS, Sound, LuaSocket, GroundMoveType, Path
    Enabled log sections: Sound(Notice)
    Enable or disable log sections using the LogSections configuration key
      or the SPRING_LOG_SECTIONS environment variable (both comma separated).
      Use "none" to disable the default log sections.
    LogOutput initialized.
    Spring 101.0.1-369-g60908d8 develop
    Build Environment: boost-105500, GNU libstdc++ version 20130531
    Compiler Version:  gcc-4.8.1
    Operating System:  Microsoft Windows
    Microsoft Windows 7 Business Edition, 64-bit Service Pack 1 (build 7601)
    Intel(R) Core(TM) i7-3930K CPU @ 3.20GHz; 16333MB RAM, 32664MB pagefile
    Word Size:         32-bit (emulated)
             CPU Clock: win32::TimeGetTime
    Physical CPU Cores: 6
     Logical CPU Cores: 12
    [CMyMath::Init] CPU SSE mask: 127, flags:
    	SSE 1.0:  1,  SSE 2.0:  1
    	SSE 3.0:  1, SSSE 3.0:  1
    	SSE 4.1:  1,  SSE 4.2:  1
    	SSE 4.0A: 0,  SSE 5.0A: 0
    	using streflop SSE FP-math mode, CPU supports SSE instructions
    Supported Video modes on Display 1 x:0 y:0 1920x1080:
    	640x480, 720x480, 720x576, 800x600, 1280x720, 1024x768, 1280x768, 1360x768, 1366x768, 1280x800, 1152x864, 1600x900, 1280x960, 1280x1024, 1600x1024, 1680x1050, 1920x1080
    Supported Video modes on Display 2 x:1920 y:0 1920x1080:
    	640x480, 720x480, 720x576, 800x600, 1280x720, 1024x768, 1280x768, 1360x768, 1366x768, 1280x800, 1152x864, 1600x900, 1280x960, 1280x1024, 1600x1024, 1680x1050, 1920x1080
    SDL version:  linked 2.0.4; compiled 2.0.4
    GL version:   4.4.0 NVIDIA 344.11
    GL vendor:    NVIDIA Corporation
    GL renderer:  GeForce GTX 560 Ti/PCIe/SSE2
    GLSL version: 4.40 NVIDIA via Cg compiler
    GLEW version: 1.5.8
    Video RAM:    total 1024MB, available 711MB
    SwapInterval: 1
    FBO::maxSamples: 32
    GL info:
    	haveARB: 1, haveGLSL: 1, ATI hacks: 0
    	FBO support: 1, NPOT-texture support: 1, 24bit Z-buffer support: 1
    	maximum texture size: 16384, compress MIP-map textures: 0
    	maximum SmoothPointSize: 190, maximum vec4 varying/attributes: 31/16
    	maximum drawbuffers: 8, maximum recommended indices/vertices: 1048576/1048576
    	number of UniformBufferBindings: 84 (64kB)
    VSync disabled
    [InitOpenGL] video mode set to 1920x1080:24bit @60Hz (windowed)
    [WatchDog::Install] disabled
    [WatchDog] registering controls for thread [main]
    [ThreadPool::SetThreadCount][1] #wanted=6 #current=1 #max=6
    [ThreadPool::SetThreadCount][2] #threads=5
    [DataDirs] Portable Mode!
    Using read-write data directory: C:\Users\Tim\Documents\My Games\Spring Dev\devEngine\
    Using read-only data directory: C:\Users\Tim\Documents\My Games\Spring\
    Scanning: C:\Users\Tim\Documents\My Games\Spring\maps
    Scanning: C:\Users\Tim\Documents\My Games\Spring\base
    Scanning: C:\Users\Tim\Documents\My Games\Spring\games
    Scanning: C:\Users\Tim\Documents\My Games\Spring\packages
    Scanning: C:\Users\Tim\Documents\My Games\Spring Dev\devEngine\base
    Scanning: C:\Users\Tim\Documents\My Games\Spring Dev\devEngine\games
    Error: Found a "C:\Users\Tim\Documents\My Games\Spring\games\examplemod.sdd" already in "C:\Users\Tim\Documents\My Games\Spring Dev\devEngine\games\examplemod.sdd", ignoring.
    [f=-000001] [Sound] OpenAL info:
    [f=-000001] [Sound]   Available Devices:
    [f=-000001] [Sound]               Speakers (Realtek High Definition Audio)
    [f=-000001] [Sound]               Realtek Digital Output (Realtek High Definition Audio)
    [f=-000001] [Sound]               Speakers (Realtek High Definition Audio)
    [f=-000001] [Sound]   Device:     OpenAL Soft
    [f=-000001] [Sound]   Vendor:         OpenAL Community
    [f=-000001] [Sound]   Version:        1.1 ALSOFT 1.16.0
    [f=-000001] [Sound]   Renderer:       OpenAL Soft
    [f=-000001] [Sound]   AL Extensions:  AL_EXT_ALAW AL_EXT_DOUBLE AL_EXT_EXPONENT_DISTANCE AL_EXT_FLOAT32 AL_EXT_IMA4 AL_EXT_LINEAR_DISTANCE AL_EXT_MCFORMATS AL_EXT_MULAW AL_EXT_MULAW_MCFORMATS AL_EXT_OFFSET AL_EXT_source_distance_model AL_LOKI_quadriphonic AL_SOFT_block_alignment AL_SOFT_buffer_samples AL_SOFT_buffer_sub_data AL_SOFT_deferred_updates AL_SOFT_direct_channels AL_SOFT_loop_points AL_SOFT_MSADPCM AL_SOFT_source_latency AL_SOFT_source_length
    [f=-000001] [Sound]   ALC Extensions: ALC_ENUMERATE_ALL_EXT ALC_ENUMERATION_EXT ALC_EXT_CAPTURE ALC_EXT_DEDICATED ALC_EXT_disconnect ALC_EXT_EFX ALC_EXT_thread_local_context ALC_SOFTX_device_clock ALC_SOFTX_HRTF ALC_SOFT_loopback ALC_SOFTX_midi_interface ALC_SOFT_pause_device
    [f=-000001] [Sound] Error:   EFX: AL_INVALID_VALUE (40963)
    [f=-000001] [Sound] Error:   Initializing EFX failed!
    [f=-000001] [Sound]   Max Sounds: 128
    [f=-000001] [WatchDog] registering controls for thread [audio]
    [f=-000001] Joysticks found: 0
    [f=-000001] [ThreadPool::SetThreadCount][1] #wanted=3 #current=6 #max=6
    [f=-000001] [ThreadPool::SetThreadCount][2] #threads=2
    [f=-000001] [Threading] Main thread CPU affinity mask set: 4092
    [f=-000001] [StartScript] Loading StartScript from: C:\Users\Tim\Documents\My Games\Spring Dev\devEngine\scripts\CAI 2v2 CCR.txt
    [f=-000001] Hosting on: :8452
    [f=-000001] Connecting to local server
    [f=-000001] [AddGameSetupArchivesToVFS] using map: Comet Catcher Redux
    [f=-000001] Binding UDP socket to IP (v6) :: () port 8452
    [f=-000001] [UDPListener] successfully bound socket on port 8452
    [f=-000001] PreGame::StartServer: 104 ms
    [f=-000001] [InitOpenGL] video mode set to 1920x1080:24bit @60Hz (windowed)
    [f=-000001] [AddGameSetupArchivesToVFS] using map: Comet Catcher Redux
    [f=-000001] [AddGameSetupArchivesToVFS] using game: Zero-K $VERSION (archive: zk.sdd)
    [f=-000001] Recording demo to: C:\Users\Tim\Documents\My Games\Spring Dev\devEngine\demos\20160517_211027_Comet Catcher Redux_101.0.1-369-g60908d8 develop.sdfz
    [f=-000001] PreGame::GameDataReceived: 1469 ms
    [f=-000001] [PreGame::UpdateClientNet] user number 0 (team 0, allyteam 0)
    [f=-000001] [LuaIntro] Searching for new Widgets
    [f=-000001] [LuaIntro] Scanning: LuaIntro/Addons/
    [f=-000001] [LuaIntro] Scanning: LuaIntro/Widgets/
    [f=-000001] [LuaIntro] Scanning: LuaIntro/SystemAddons/
    [f=-000001] [LuaIntro] Scanning: LuaIntro/SystemWidgets/
    [f=-000001] [LuaIntro] Scanning: LuaIntro/chili/
    [f=-000001] [LuaIntro] Found new widget "SpringLogo"
    [f=-000001] [LuaIntro] Found new widget "LoadTexture"
    [f=-000001] [LuaIntro] Found new widget "LoadProgress"
    [f=-000001] [LuaIntro] Found new widget "Main"
    [f=-000001] [LuaIntro] Found new widget "Music"
    [f=-000001] [LuaIntro] Found new widget "WM Stuff"
    [f=-000001] [LuaIntro] Loading widgets   <>=vfs  **=raw  ()=unknown
    [f=-000001] [LuaIntro] Loading widget:      WM Stuff               <wm.lua>
    [f=-000001] [LuaIntro] Loading widget:      LoadProgress           <loadprogress.lua>
    [f=-000001] [LuaIntro] Loading widget:      Main                   <main.lua>
    [f=-000001] [LuaIntro] Loading widget:      Music                  <music.lua>
    [f=-000001] [LuaIntro] Loading widget:      LoadTexture            <bg_texture.lua>
    [f=-000001] [LuaIntro] LuaIntro v1.0 (Lua 5.1)
    [f=-000001] [WatchDog] registering controls for thread [load]
    [f=-000001] Parsing Map Information
    [f=-000001] Loading SMF
    [f=-000001] Loading Map (77 MB)
    [f=-000001] Loading Radar Icons
    [f=-000001] Loading GameData Definitions
    [f=-000001] Loading UnitDefs_posts
    [f=-000001] [gamedata/modularcomms/unitdefgen.lua] Warning: Modular Comms warning: Comm data entry in modoption is empty or in invalid format
    [f=-000001] Loacing FeatureDefs_posts
    [f=-000001] Loading WeaponDefs_posts
    [f=-000001] Loading ArmorDefs_posts
    [f=-000001] [defs.lua] loading all *Defs tables: 383ms
    [f=-000001] Game::LoadDefs (GameData): 550 ms
    [f=-000001] Loading Sound Definitions
    [f=-000001] [Sound] Warning: Sound incomingchat is missing file tag (ignoring)
    [f=-000001] [Sound]  parsed 314 sounds from gamedata/sounds.lua
    [f=-000001] [Sound] Error: Unable to open audio file: IncomingChat
    [f=-000001] [Sound] Error: CSound::GetSoundId: could not find sound: IncomingChat
    [f=-000001] Game::LoadDefs (Sound): 9 ms
    [f=-000001] Creating Smooth Height Mesh
    [f=-000001] SmoothHeightMesh::MakeSmoothMesh: 32 ms
    [f=-000001] Creating QuadField & CEGs
    [f=-000001] [CDamageArrayHandler] number of ArmorDefs: 5
    [f=-000001] Warning: [CDamageArrayHandler] UnitDef "chicken" in ArmorDef "chicken" already belongs to ArmorDef category 1!
    [f=-000001] [RegisterAssimpModelFormats] supported Assimp model formats: *.3ds;*.blend;*.dae;*.lwo;
    [f=-000001] Creating Unit Textures
    [f=-000001] Creating Sky
    [f=-000001] Loading Weapon Definitions
    [f=-000001] Loading Unit Definitions
    [f=-000001] Error: [GetFeatureDef] could not find FeatureDef "dead2"
    [f=-000001] Loading Feature Definitions
    [f=-000001] [IPathManager::GetInstance] using DEFAULT path-manager
    [f=-000001] Initializing Map Features
    [f=-000001] Creating ShadowHandler & DecalHandler
    [f=-000001] Creating GroundDrawer
    [f=-000001] Loading Map Tiles
    [f=-000001] Loading Square Textures
    [f=-000001] CSMFGroundTextures::ConvolveHeightMap: 3 ms
    [f=-000001] Switching to ROAM Mesh Rendering
    [f=-000001] Creating TreeDrawer
    [f=-000001] Creating ProjectileDrawer & UnitDrawer
    [f=-000001] Creating Projectile Textures
    [f=-000001] Warning: [CCEG::Load] table for CEG "custom:gravityless_flamer" invalid (parse errors?)
    [f=-000001] Warning: [CCEG::Load] yellowdisarmtrail: Unknown tag CExploSpikeProjectile::ttl
    [f=-000001] Warning: [CCEG::Load] table for CEG "NONE35" invalid (parse errors?)
    [f=-000001] Warning: [CCEG::Load] table for CEG "NONE37" invalid (parse errors?)
    [f=-000001] Warning: [CCEG::Load] table for CEG "NONE39" invalid (parse errors?)
    [f=-000001] Warning: [CCEG::Load] table for CEG "NONE41" invalid (parse errors?)
    [f=-000001] Warning: [CCEG::Load] table for CEG "NONE43" invalid (parse errors?)
    [f=-000001] Warning: [CCEG::Load] table for CEG "NONE45" invalid (parse errors?)
    [f=-000001] Warning: [CCEG::Load] table for CEG "NONE47" invalid (parse errors?)
    [f=-000001] Warning: [CCEG::Load] table for CEG "NONE48" invalid (parse errors?)
    [f=-000001] Warning: [CCEG::Load] table for CEG "NONE51" invalid (parse errors?)
    [f=-000001] Warning: [CCEG::Load] table for CEG "NONE53" invalid (parse errors?)
    [f=-000001] Warning: [CCEG::Load] table for CEG "NONE55" invalid (parse errors?)
    [f=-000001] Warning: [CCEG::Load] table for CEG "NONE38" invalid (parse errors?)
    [f=-000001] Warning: [CCEG::Load] table for CEG "NONE34" invalid (parse errors?)
    [f=-000001] Warning: [CCEG::Load] table for CEG "NONE40" invalid (parse errors?)
    [f=-000001] Warning: [CCEG::Load] table for CEG "NONE42" invalid (parse errors?)
    [f=-000001] Warning: [CCEG::Load] table for CEG "NONE44" invalid (parse errors?)
    [f=-000001] Warning: [CCEG::Load] table for CEG "NONE49" invalid (parse errors?)
    [f=-000001] Warning: [CCEG::Load] table for CEG "NONE52" invalid (parse errors?)
    [f=-000001] Warning: [CCEG::Load] table for CEG "NONE54" invalid (parse errors?)
    [f=-000001] Warning: [CCEG::Load] table for CEG "NONE57" invalid (parse errors?)
    [f=-000001] Warning: [CCEG::Load] table for CEG "NONE58" invalid (parse errors?)
    [f=-000001] Creating Water
    [f=-000001] Game::LoadInterface (Camera&Mouse): 164 ms
    [f=-000001] [Sound] Error: Unable to open audio file: MultiSelect
    [f=-000001] [Sound] Error: CSound::GetSoundId: could not find sound: MultiSelect
    [f=-000001] Game::LoadInterface (Console): 14 ms
    [f=-000001] [Sound] Error: Unable to open audio file: FailedCommand
    [f=-000001] [Sound] Error: CSound::GetSoundId: could not find sound: FailedCommand
    [f=-000001] InfoTexture: shaders
    [f=-000001] Loading LuaRules
    [f=-000001] Warning: [GetTexture] unknown 3DO texture "plate1d00" for piece "turret"
    [f=-000001] Warning: [GetTexture] unknown 3DO texture "plate1d00" for piece "turret"
    [f=-000001] Warning: [CheckPieceNormals] piece "lmuzzle" of model "objects3d/spherejeth.s3o" has 8 (of 8) null-normals! It will either be rendered fully black or with black splotches!
    [f=-000001] Warning: [CheckPieceNormals] piece "lexhaust" of model "objects3d/spherejeth.s3o" has 8 (of 8) null-normals! It will either be rendered fully black or with black splotches!
    [f=-000001] Warning: [CheckPieceNormals] piece "rmuzzle" of model "objects3d/spherejeth.s3o" has 8 (of 8) null-normals! It will either be rendered fully black or with black splotches!
    [f=-000001] Warning: [CheckPieceNormals] piece "rexhaust" of model "objects3d/spherejeth.s3o" has 8 (of 8) null-normals! It will either be rendered fully black or with black splotches!
    [f=-000001] Warning: [CheckPieceNormals] piece "door2" of model "objects3d/corch.s3o" has 4 (of 4) null-normals! It will either be rendered fully black or with black splotches!
    [f=-000001] Warning: [CheckPieceNormals] piece "pad" of model "objects3d/corplas.s3o" has 25 (of 25) null-normals! It will either be rendered fully black or with black splotches!
    [f=-000001] Warning: [CheckPieceNormals] piece "door2" of model "objects3d/corplas.s3o" has 4 (of 4) null-normals! It will either be rendered fully black or with black splotches!
    [f=-000001] Warning: [CheckPieceNormals] piece "post2" of model "objects3d/corplas.s3o" has 16 (of 16) null-normals! It will either be rendered fully black or with black splotches!
    [f=-000001] Warning: [CheckPieceNormals] piece "nano2" of model "objects3d/corplas.s3o" has 9 (of 9) null-normals! It will either be rendered fully black or with black splotches!
    [f=-000001] Warning: [CheckPieceNormals] piece "door1" of model "objects3d/corplas.s3o" has 4 (of 4) null-normals! It will either be rendered fully black or with black splotches!
    [f=-000001] Warning: [CheckPieceNormals] piece "post1" of model "objects3d/corplas.s3o" has 16 (of 16) null-normals! It will either be rendered fully black or with black splotches!
    [f=-000001] Warning: [CheckPieceNormals] piece "nano1" of model "objects3d/corplas.s3o" has 9 (of 9) null-normals! It will either be rendered fully black or with black splotches!
    [f=-000001] Total: 221 quads
    [f=-000001] Total: 221 quads
    [f=-000001] Total: 221 quads
    [f=-000001] AI taken control of team 0 on allyTeam 0
    [f=-000001] CAI: team 0 has selected strategy: Econ, using commander dyntrainer_support_base
    [f=-000001] AI taken control of team 1 on allyTeam 1
    [f=-000001] CAI: team 1 has selected strategy: Standard, using commander dyntrainer_strike_base
    [f=-000001] AI taken control of team 2 on allyTeam 0
    [f=-000001] CAI: team 2 has selected strategy: Push, using commander dyntrainer_assault_base
    [f=-000001] AI taken control of team 3 on allyTeam 1
    [f=-000001] CAI: team 3 has selected strategy: Defensive, using commander dyntrainer_assault_base
    [f=-000001] Ally Team 0 intialised
    [f=-000001] Team 0 on allyTeam 0
    [f=-000001] Team 2 on allyTeam 0
    [f=-000001] AI on ally team 0
    [f=-000001] Ally Team 1 intialised
    [f=-000001] Team 1 on allyTeam 1
    [f=-000001] Team 3 on allyTeam 1
    [f=-000001] AI on ally team 1
    [f=-000001] Ally Team 2 intialised
    [f=-000001] Team 4 on allyTeam 2
    [f=-000001] [Modular Comm Info] Warning: Modular Comms API warning: Comm data entry in modoption is empty or in invalid format
    [f=-000001] [Planet Wars Structures] Warning: Planetwars warning: Planetwars data entry in modoption is empty or in invalid format
    [f=-000001] Initializing gadget
    [f=-000001] LUARULES-DRAW  (GADGETS)
    [f=-000001] [Modular Comm Info] Warning: Modular Comms API warning: Comm data entry in modoption is empty or in invalid format
    [f=-000001] Warning: [CheckPieceNormals] piece "rfoot" of model "objects3d/dante.s3o" has 96 (of 96) null-normals! It will either be rendered fully black or with black splotches!
    [f=-000001] Warning: [CheckPieceNormals] piece "lfoot" of model "objects3d/dante.s3o" has 96 (of 96) null-normals! It will either be rendered fully black or with black splotches!
    [f=-000001] [Texture] Warning: [LoadAndCacheTexture] could not load texture "Spring unit" from model "objects3d/venom_wreck.s3o"
    [f=-000001] [Texture] Warning: [LoadAndCacheTexture] could not load texture "" from model "objects3d/chickeneggaqua.s3o"
    [f=-000001] Warning: [CheckPieceNormals] piece "base" of model "objects3d/commrecon_dead.s3o" has 3 (of 3121) null-normals! It will either be rendered fully black or with black splotches!
    [f=-000001] Warning: [CheckPieceNormals] piece "base" of model "objects3d/commrecon2_dead.s3o" has 3 (of 3121) null-normals! It will either be rendered fully black or with black splotches!
    [f=-000001] Warning: [CheckPieceNormals] piece "base" of model "objects3d/commrecon3_dead.s3o" has 3 (of 3121) null-normals! It will either be rendered fully black or with black splotches!
    [f=-000001] Warning: [CheckPieceNormals] piece "base" of model "objects3d/commrecon4_dead.s3o" has 3 (of 3121) null-normals! It will either be rendered fully black or with black splotches!
    [f=-000001] Warning: [CheckPieceNormals] piece "base" of model "objects3d/commrecon5_dead.s3o" has 3 (of 3121) null-normals! It will either be rendered fully black or with black splotches!
    [f=-000001] Error: could not find a parser for model "armcom_dead" (unknown format?)
    [f=-000001] Warning: [CheckPieceNormals] piece "base" of model "objects3d/corch_dead.s3o" has 4 (of 1784) null-normals! It will either be rendered fully black or with black splotches!
    [f=-000001] Warning: [CheckPieceNormals] piece "" of model "objects3d/pulverizer_d.s3o" has 1642 (of 1642) null-normals! It will either be rendered fully black or with black splotches!
    [f=-000001] Error: could not find a parser for model "corspy2_dead" (unknown format?)
    [f=-000001] Warning: [CheckPieceNormals] piece "base" of model "objects3d/dante_dead.s3o" has 76 (of 2582) null-normals! It will either be rendered fully black or with black splotches!
    [f=-000001] Warning: [CheckPieceNormals] piece "base" of model "objects3d/corplas_dead.s3o" has 65 (of 1005) null-normals! It will either be rendered fully black or with black splotches!
    [f=-000001] LUARULES-DRAW  (GADGETS)
    [f=-000001] Loading LuaGaia
    [f=-000001] Loading LuaUI
    [f=-000001] LuaUI Entry Point: "luaui.lua"
    [f=-000001] LuaUI Access Lock: enabled
    [f=-000001] LuaSocket Enabled: yes
    [f=-000001] Using LUAUI_DIRNAME = LuaUI/
    [f=-000001] Reloading GUI config from file: LuaUI/ctrlpanel.txt
    [f=-000001] LuaUI: bound F11 to the widget selector
    [f=-000001] LuaUI: bound CTRL+F11 to tweak mode
    [f=-000001] Failed to load: gui_chili_chonsole.lua  ([string "LuaUI/Widgets/gui_chili_chonsole.lua"]:13: attempt to concatenate global 'CHONSOLE_FOLDER' (a nil value))
    [f=-000001] Loaded local team color config.
    [f=-000001] [i18n] Warning: "gunshipcon.name" is not translated in en
    [f=-000001] [i18n] Error: No translation found for "gunshipcon.name"
    [f=-000001] Loading last game win data
    [f=-000001] Resetting win data
    [f=-000001] Last game player count: 0, This game player count: 0
    [f=-000001] Last game allyTeam count: 3, This game allyTeam count: 3
    [f=-000001] Player and team counts match, continuing
    [f=-000001] All players and teams match from last game, using last game's scores as base
    [f=-000001] Loaded API widget:  Cluster Detection   <api_cluster_detection.lua>
    [f=-000001] Loaded API widget:  Shared Functions    <api_shared_functions.lua>
    [f=-000001] Loaded API widget:  i18n                <api_i18n.lua>
    [f=-000001] Loaded API widget:  Startbox API        <api_startboxes.lua>
    [f=-000001] [Modular Comm Info] Warning: Modular Comms API warning: Comm data entry in modoption is empty or in invalid format
    [f=-000001] Loaded API widget:  Modular Comm Info   <api_modularcomms.lua>
    [f=-000001] Loaded API widget:  Chili Framework     <api_chili.lua>
    [f=-000001] Loaded API widget:  Lag (AFK) monitor   <api_lag_monitor.lua>
    [f=-000001] Loaded API widget:  Pre-Selection Handler  <api_preselection.lua>
    [f=-000001] Loaded API widget:  Lups                <lups_wrapper.lua>
    [f=-000001] Loaded widget:  Deferred rendering  <gfx_deferred_rendering.lua>
    [f=-000001] Hardware mouse-cursor is enabled!
    [f=-000001] Set "shadows" config-parameter to 1
    [f=-000001] Loaded DecalsDrawer: Legacy
    [f=-000001] Ground-decals rendering is enabled!
    [f=-000001] Set maximum particles to: 20000
    [f=-000001] Set UnitLodDist to 9999
    [f=-000001] Set UnitIconDist to 100
    [f=-000001] model shaders is enabled!
    [f=-000001] invalid DISABLE TTS
    [f=-000001] invalid TTS VOLUME 0
    [f=-000001] invalid DISABLE TTS
    [f=-000001] invalid TTS VOLUME 0
    [f=-000001] Loaded widget:  EPIC Menu           <gui_epicmenu.lua>
    [f=-000001] Loaded widget:  Chili Widget Selector  <gui_chili_widgetselector.lua>
    [f=-000001] Loaded widget:  Custom Cursor Sets  <gui_customcursorsets.lua>
    [f=-000001] Loaded widget:  Chili Minimap       <gui_chili_minimap.lua>
    [f=-000001] Mexspot Fetcher fetching
    [f=-000001] Loaded widget:  Mexspot Fetcher     <wg_mexspot_fetcher.lua>
    [f=-000001] Loaded widget:  Local Team Colors   <gui_local_colors.lua>
    [f=-000001] Loaded widget:  Chili Commander Upgrade  <gui_chili_commander_upgrade.lua>
    [f=-000001] Loaded widget:  HealthBars          <unit_healthbars.lua>
    [f=-000001] Loaded widget:  Noises              <snd_noises.lua>
    [f=-000001] Loaded widget:  Unit Icons          <unit_icons.lua>
    [f=-000001] Loaded widget:  Chili Vote Display  <gui_chili_vote.lua>
    [f=-000001] Loaded widget:  Auto Patrol Nanos   <unit_auto_patrol_nanos.lua>
    [f=-000001] Loaded widget:  BuildETA            <gui_build_eta.lua>
    [f=-000001] Loaded widget:  EndGame Stats       <gui_chili_endgraph.lua>
    [f=-000001] Loaded widget:  Cloak Fire State 2  <unit_cloakfirestate2.lua>
    [f=-000001] Loaded widget:  Win Counter         <win_counter.lua>
    [f=-000001] Loaded widget:  Initial Queue ZK    <unit_initial_queue.lua>
    [f=-000001] Loaded widget:  Unit Marker Zero-K  <unit_marker.lua>
    [f=-000001] SetSunLighting
    [f=-000001] Loaded widget:  Sun Handler         <map_sun_handler.lua>
    [f=-000001] TableEcho = {
    [f=-000001]     b = 1
    [f=-000001]     radius = 200
    [f=-000001]     g = 1
    [f=-000001]     r = 1
    [f=-000001] },
    [f=-000001] light_color = [[1.00 1.00 1.00]]
    [f=-000001] light_radius = 200.00,
    [f=-000001] TableEcho = {
    [f=-000001]     b = 0.85000002
    [f=-000001]     radius = 200
    [f=-000001]     g = 0.85000002
    [f=-000001]     r = 0.85000002
    [f=-000001] },
    [f=-000001] light_color = [[0.85 0.85 0.85]]
    [f=-000001] light_radius = 200.00,
    [f=-000001] TableEcho = {
    [f=-000001]     b = 0.85000002
    [f=-000001]     radius = 200
    [f=-000001]     g = 0.60208333
    [f=-000001]     r = 0.60208333
    [f=-000001] },
    [f=-000001] light_color = [[0.60 0.60 0.85]]
    [f=-000001] light_radius = 200.00,
    [f=-000001] Loaded widget:  Projectile Lights   <gfx_projectile_lights.lua>
    [f=-000001] Loaded widget:  Antinuke Coverage   <gui_antinuke_coverage.lua>
    [f=-000001] Loaded widget:  Autoquit            <autoquit.lua>
    [f=-000001] Loaded widget:  Blast Radius        <gui_blastradius.lua>
    [f=-000001] Spectator mode detected. Removed: Auto First Build Facing
    [f=-000001] Loaded widget:  Auto First Build Facing  <init_autofirstbuildfacing.lua>
    [f=-000001] Loaded widget:  Chili Economy Panel Default  <gui_chili_economy_panel2.lua>
    [f=-000001] Loaded widget:  Chili EndGame Window  <gui_chili_endgamewindow.lua>
    [f=-000001] Loaded widget:  Chili Inactivity Win  <gui_chili_inactivity_win.lua>
    [f=-000001] Loaded widget:  Chili Nuke Warning  <gui_chili_nuke_warning.lua>
    [f=-000001] Loaded widget:  Chili Rejoining Progress Bar  <gui_chili_rejoin_progress.lua>
    [f=-000001] Loaded widget:  Chili Spectator Panels  <gui_chili_spectator_panels.lua>
    [f=-000001] Loaded widget:  Context Menu        <gui_contextmenu.lua>
    [f=-000001] Loaded widget:  Auto Group          <unit_auto_group.lua>
    [f=-000001] Loaded widget:  Darkening           <gui_darkening.lua>
    [f=-000001] Loaded widget:  Constructor Auto Assist  <unit_factory_guard.lua>
    [f=-000001] Loaded widget:  Decoration Handler  <unit_decoration_handler.lua>
    [f=-000001] Loaded widget:  Haven Handler       <gui_havens.lua>
    [f=-000001] Loaded widget:  Highlight Geos      <gui_highlight_geos.lua>
    [f=-000001] Loaded widget:  In-game Guide       <gui_ingame_guide.lua>
    [f=-000001] Loaded widget:  Defense Range Zero-K  <gui_defenserange.lua>
    [f=-000001] Loaded widget:  Local Widgets Config  <localwidgets.lua>
    [f=-000001] Loaded widget:  MetalFeatures       <gui_metal_features.lua>
    [f=-000001] Loaded widget:  MinimapEvents       <minimap_events.lua>
    [f=-000001] Loaded widget:  Missile Silo Range  <missilesilo_range.lua>
    [f=-000001] Loaded widget:  Morph Finished notification  <unit_morph_finished.lua>
    [f=-000001] Loaded widget:  Persistent Build Spacing  <gui_persistent_build_spacing.lua>
    [f=-000001] Loaded widget:  Point Tracker       <gui_point_tracker.lua>
    [f=-000001] Loaded widget:  ReclaimInfo         <gui_reclaiminfo.lua>
    [f=-000001] Loaded widget:  Show All Commands v2  <unit_showallcommands_2.lua>
    [f=-000001] Loaded widget:  Showeco and Grid Drawer  <gui_showeco_action.lua>
    [f=-000001] Loaded widget:  Spectate Selected Team  <gui_spectate_selected_team.lua>
    [f=-000001] Loaded widget:  Stereo3D            <gfx_stereo3d.lua>
    [f=-000001] Loaded widget:  cheat               <cheat.lua>
    [f=-000001] Loaded widget:  Voice Assistant     <unit_voice.lua>
    [f=-000001] Loaded widget:  SmoothCam           <camera_smoothcam.lua>
    [f=-000001] Loaded widget:  Keep Target         <cmd_keep_target.lua>
    [f=-000001] Loaded widget:  Startup Info and Selector  <init_startup_info_selector.lua>
    [f=-000001] Loaded widget:  Ferry Points        <cmd_ferry_points.lua>
    [f=-000001] Loaded widget:  Orbit Command       <cmd_orbit.lua>
    [f=-000001] Loaded widget:  State Reverse Toggle  <cmd_state_reverse_toggle.lua>
    [f=-000001] Loaded widget:  Mex Placement Handler  <cmd_mex_placement.lua>
    [f=-000001] Loaded widget:  Area Attack Tweak   <cmd_area_attack_tweak.lua>
    [f=-000001] Loaded widget:  Attack Warning      <unit_attack_warning.lua>
    [f=-000001] Loaded widget:  Chili Selections & CursorTip  <gui_chili_selections_and_cursortip.lua>
    [f=-000001] <Stockpiler>: disabled for spectators
    [f=-000001] Loaded widget:  Stockpiler          <unit_stockpile.lua>
    [f=-000001] Loaded widget:  Transport Load Double Tap  <cmd_select_load.lua>
    [f=-000001] Loaded widget:  Ghost Site          <unit_ghostsite.lua>
    [f=-000001] Loaded widget:  Comm-n-Elo Startpos. Info  <init_startpointelocom_info.lua>
    [f=-000001] Loaded widget:  NoDuplicateOrders   <cmd_no_duplicate_orders.lua>
    [f=-000001] Loaded widget:  Transport AI        <unit_transport_ai.lua>
    [f=-000001] Loaded widget:  Start Point Remover & Comm Selector  <init_start_point_remover.lua>
    [f=-000001] Loaded widget:  Frame Gap Logger    <dbg_frame_gap_logger.lua>
    [f=-000001] Loaded widget:  Attack AoE          <gui_attack_aoe.lua>
    [f=-000001] Loaded widget:  Icon Sets           <gui_icon_sets.lua>
    [f=-000001] Loaded widget:  Objectives          <mission_objectives.lua>
    [f=-000001] Loaded widget:  Recorder (Save)     <dbg_recorder_save.lua>
    [f=-000001] Loaded widget:  Select Keys         <gui_selectkeys.lua>
    [f=-000001] Loaded widget:  UnitNoStuckInFactory  <unit_nostuck_infactory.lua>
    [f=-000001] Loaded widget:  Chili Custom Modoptions Info  <gui_custommodoptions_info.lua>
    [f=-000001] Loaded widget:  Unit Start State    <unit_start_state.lua>
    [f=-000001] Loaded widget:  PlanetWars Info     <gui_planetwars_info.lua>
    [f=-000001] <Replay control buttons> Live mode. Widget removed.
    [f=-000001] Loaded widget:  Replay control buttons  <gui_replay_controls.lua>
    [f=-000001] Loaded widget:  Commands FX         <gfx_commands_fx.lua>
    [f=-000001] Loaded widget:  MessageBoxes ZK     <mission_messagebox_zk.lua>
    [f=-000001] Loaded widget:  UnitShapes          <unit_shapes.lua>
    [f=-000001] Loaded widget:  Map Edge Extension  <map_edge_extension.lua>
    [f=-000001] Loaded widget:  AllyCursors         <gui_ally_cursors.lua>
    [f=-000001] Loaded widget:  CEG Spawner         <dbg_ceg_spawner.lua>
    [f=-000001] Loaded widget:  Gadget Icons        <unit_gadget_icons.lua>
    [f=-000001] Loaded widget:  Rank Icons 2        <unit_rank_icons.lua>
    [f=-000001] Loaded widget:  Selection Send      <gui_selectionsend.lua>
    [f=-000001] Loaded widget:  Shield Guard        <unit_shield_guard.lua>
    [f=-000001] Loaded widget:  State Icons         <unit_state_icons.lua>
    [f=-000001] Loaded widget:  CommandInsert       <cmd_commandinsert.lua>
    [f=-000001] <Building Starter>: disabled for spectators
    [f=-000001] Loaded widget:  Building Starter    <unit_building_starter.lua>
    [f=-000001] <Cloaker Guard>: disabled for spectators
    [f=-000001] Loaded widget:  Cloaker Guard       <unit_cloaker_guard.lua>
    [f=-000001] Marketplace and Bounty Icons: Widget removed.
    [f=-000001] Loaded widget:  Bounty & Marketplace Icons (experimental)  <unit_bounty_marketplace_icons.lua>
    [f=-000001] Loaded widget:  LupsManager         <gfx_lups_manager.lua>
    [f=-000001] Loaded widget:  Units on Fire       <gfx_lups_units_on_fire.lua>
    [f=-000001] Loaded widget:  Vertical Line on Radar Dots v2  <gui_vertlineaid.lua>
    [f=-000001] Newton Firezone disabled for spectator.
    [f=-000001] Loaded widget:  Newton Firezone     <cmd_newton_firezone.lua>
    [f=-000001] Loaded widget:  Receive Units Indicator  <gui_recv_indicator.lua>
    [f=-000001] Loaded widget:  Auto-toggle false color vision  <gui_auto_engine_falsecolor.lua>
    [f=-000001] Loaded widget:  Chili Crude Player List  <gui_chili_crudeplayerlist.lua>
    [f=-000001] Loaded widget:  Chili Docking       <gui_chili_docking.lua>
    [f=-000001] Loaded widget:  Chili Pro Console   <gui_chili_proconsole_test.lua>
    [f=-000001] Loaded widget:  HUD Presets         <gui_hud_presets.lua>
    [f=-000001] Loaded widget:  Image Preloader     <dbg_img_preload.lua>
    [f=-000001] Loaded widget:  Chili Core Selector  <gui_chili_core_selector.lua>
    [f=-000001] Loaded widget:  Default Group Recall Fix  <gui_group_recall_fix.lua>
    [f=-000001] Loaded widget:  Start Boxes         <minimap_startbox_new.lua>
    [f=-000001] Loaded widget:  Pause Screen        <gui_pausescreen.lua>
    [f=-000001] Loaded widget:  Restricted Zones    <gui_restrictedzones.lua>
    [f=-000001] Loaded widget:  Jumpjet GUI         <gui_jumpjets.lua>
    [f=-000001] Loaded widget:  CustomFormations2   <cmd_customformations2.lua>
    [f=-000001] Loaded widget:  GC at >300MB        <dbg_forcegc_spring97.lua>
    [f=-000001] Loaded widget:  Lasso Terraform GUI  <gui_lasso_terraform.lua>
    [f=-000001] invalid DISABLE TTS
    [f=-000001] invalid TTS VOLUME 0
    [f=-000001] Loaded widget:  Text To Speech Control  <snd_text_to_speech.lua>
    [f=-000001] Loaded widget:  Chili Integral Menu  <gui_chili_integral_menu.lua>
    [f=-000001] Writing last game win data
    [f=-000001] LuaUI v0.3
    [f=-000001] [LoadFinalize] finalizing PFS
    [f=-000001] [Path] [PathEstimator::Hash] mapChecksum=2514087983
    [f=-000001] [Path] [PathEstimator::Hash] typeMapChecksum=2776208535
    [f=-000001] [Path] [PathEstimator::Hash] moveDefChecksum=3858341393
    [f=-000001] [Path] [PathEstimator::Hash] blockingChecksum=666
    [f=-000001] [Path] [PathEstimator::Hash] BLOCK_SIZE=8
    [f=-000001] [Path] [PathEstimator::Hash] PATHESTIMATOR_VERSION=78
    [f=-000001] [Path] [PathEstimator::ReadFile] hash=558704071
    [f=-000001] Reading Estimate PathCosts [8]
    [f=-000001] [Path] [PathEstimator::Hash] mapChecksum=2514087983
    [f=-000001] [Path] [PathEstimator::Hash] typeMapChecksum=2776208535
    [f=-000001] [Path] [PathEstimator::Hash] moveDefChecksum=3858341393
    [f=-000001] [Path] [PathEstimator::Hash] blockingChecksum=666
    [f=-000001] [Path] [PathEstimator::Hash] BLOCK_SIZE=32
    [f=-000001] [Path] [PathEstimator::Hash] PATHESTIMATOR_VERSION=78
    [f=-000001] [Path] [PathEstimator::ReadFile] hash=558704095
    [f=-000001] Reading Estimate PathCosts [32]
    [f=-000001] [LoadFinalize] finalized PFS (53ms, checksum 8faf43fb)
    [f=-000001] Loading Skirmish AIs
    [f=-000001] [WatchDog] deregistering controls for thread [load]
    [f=-000001] Mex Placement Initialised with 80 spots.
    [f=-000001] GameID: 21fc3a5769f3af5e0efb116a40c2d64e
    [f=-000001] Connection attempt from invalid
    [f=-000001]  -> Version: 101.0.1-369-g60908d8 develop
    [f=-000001]  -> Connection established (given id 0)
    [f=-000001] Skirmish AI "Bot1" (ID:0, Short-Name:"CAI", Version:"<not-versioned>") took over control of team 0
    [f=-000001] Skirmish AI "Bot2" (ID:1, Short-Name:"CAI", Version:"<not-versioned>") took over control of team 1
    [f=-000001] Skirmish AI "Bot3" (ID:2, Short-Name:"CAI", Version:"<not-versioned>") took over control of team 2
    [f=-000001] Skirmish AI "Bot4" (ID:3, Short-Name:"CAI", Version:"<not-versioned>") took over control of team 3
    [f=-000001] Spectator invalid finished loading and is now ingame
    [f=-000001] <Ghost Site> Spectator mode. Widget removed.
    [f=-000001] Epicmenu: Switching to Total Annihilation camera mode
    [f=0000072] Speed set to 1.1 [invalid]
    [f=0000078] !transmitlobby @voice@buildUnit@add;corned;Mason
    [f=0000078] !transmitlobby @voice@buildUnit@add;corfav;Dart
    [f=0000078] !transmitlobby @voice@buildUnit@add;corgator;Scorcher
    [f=0000078] !transmitlobby @voice@buildUnit@add;cormist;Slasher
    [f=0000078] !transmitlobby @voice@buildUnit@add;corlevlr;Leveler
    [f=0000078] !transmitlobby @voice@buildUnit@add;corraid;Ravager
    [f=0000078] !transmitlobby @voice@buildUnit@add;capturecar;Dominatrix
    [f=0000078] !transmitlobby @voice@buildUnit@add;corgarp;Wolverine
    [f=0000078] !transmitlobby @voice@buildUnit@add;armmerl;Impaler
    [f=0000078] !transmitlobby @voice@buildUnit@add;vehaa;Crasher
    [f=0000078] !transmitlobby @voice@buildUnit@reload
    [f=0000081] Speed set to 1.2 [invalid]
    [f=0000082] Speed set to 1.3 [invalid]
    [f=0000083] Speed set to 1.4 [invalid]
    [f=0000084] Speed set to 1.5 [invalid]
    [f=0000086] Speed set to 1.6 [invalid]
    [f=0000087] Speed set to 1.7 [invalid]
    [f=0000089] Speed set to 1.8 [invalid]
    [f=0000091] Speed set to 1.9 [invalid]
    [f=0000093] Speed set to 2.0 [invalid]
    [f=0000094] Speed set to 2.2 [invalid]
    [f=0000097] Speed set to 2.4 [invalid]
    [f=0000099] Speed set to 2.6 [invalid]
    [f=0000102] Speed set to 2.8 [invalid]
    [f=0000105] Speed set to 3.0 [invalid]
    [f=0000107] Speed set to 3.2 [invalid]
    [f=0000111] Speed set to 3.4 [invalid]
    [f=0000165] Speed set to 3.6 [invalid]
    [f=0000184] Speed set to 3.8 [invalid]
    [f=0000205] Speed set to 4.0 [invalid]
    [f=0000532] Speed set to 4.2 [invalid]
    [f=0000564] Speed set to 4.4 [invalid]
    [f=0000594] Speed set to 4.6 [invalid]
    [f=0000626] Speed set to 4.8 [invalid]
    [f=0000661] Speed set to 5.0 [invalid]
    [f=0005518] Speed set to 4.8 [invalid]
    [f=0005569] Speed set to 4.6 [invalid]
    [f=0005626] Speed set to 4.4 [invalid]
    [f=0005666] Speed set to 4.2 [invalid]
    [f=0005699] Speed set to 4.0 [invalid]
    [f=0018788] invalid ENABLE TTS
    [f=0018788] invalid TTS VOLUME 7
    [f=0018883] Loading:  LuaUI/Widgets/snd_music.lua
    [f=0019492] invalid ENABLE TTS
    [f=0019492] invalid TTS VOLUME 4
    [f=0020164] invalid paused the game
    [f=0020164] invalid unpaused the game
    [f=0021223] invalid paused the game
    [f=0021223] invalid unpaused the game
    [f=0022839] !transmitlobby @voice@buildUnit@add;coracv;Welder
    [f=0022839] !transmitlobby @voice@buildUnit@add;logkoda;Kodachi
    [f=0022839] !transmitlobby @voice@buildUnit@add;panther;Panther
    [f=0022839] !transmitlobby @voice@buildUnit@add;tawf114;Banisher
    [f=0022839] !transmitlobby @voice@buildUnit@add;correap;Reaper
    [f=0022839] !transmitlobby @voice@buildUnit@add;corgol;Goliath
    [f=0022839] !transmitlobby @voice@buildUnit@add;cormart;Pillager
    [f=0022839] !transmitlobby @voice@buildUnit@add;trem;Tremor
    [f=0022839] !transmitlobby @voice@buildUnit@add;corsent;Copperhead
    [f=0022839] !transmitlobby @voice@buildUnit@reload
    [f=0026939] invalid ENABLE TTS
    [f=0026939] invalid TTS VOLUME 2
    [f=0026946] invalid DISABLE TTS
    [f=0026946] invalid TTS VOLUME 0
    [f=0026955] invalid DISABLE TTS
    [f=0026955] invalid TTS VOLUME 0
    [f=0026963] invalid DISABLE TTS
    [f=0026963] invalid TTS VOLUME 0
    [f=0035910] game_message: AllyTeam 0 has an overwhelming numerical advantage!
    [f=0038072] game_message: AI has been destroyed!
    [f=0038072] game_message: AI wins!
    [f=0038072] <autoquit> Automatically exiting in 10 seconds. Move mouse to cancel.
    [f=0038100] <autoquit> Autoquit canceled.
    [f=0038174] !transmitlobby @voice@buildUnit@add;corfast;Freaker
    [f=0038174] !transmitlobby @voice@buildUnit@add;puppy;Puppy
    [f=0038174] !transmitlobby @voice@buildUnit@add;corpyro;Pyro
    [f=0038174] !transmitlobby @voice@buildUnit@add;jumpblackhole;Placeholder
    [f=0038174] !transmitlobby @voice@buildUnit@add;slowmort;Moderator
    [f=0038174] !transmitlobby @voice@buildUnit@add;corcan;Jack
    [f=0038174] !transmitlobby @voice@buildUnit@add;corsumo;Sumo
    [f=0038174] !transmitlobby @voice@buildUnit@add;firewalker;Firewalker
    [f=0038174] !transmitlobby @voice@buildUnit@add;armaak;Archangel
    [f=0038174] !transmitlobby @voice@buildUnit@add;corsktl;Skuttle
    [f=0038174] !transmitlobby @voice@buildUnit@reload
    [f=0039280] [QuitAction] user exited to system
    [f=0039286] [SpringApp::ShutDown][1]
    [f=0039286] [ThreadPool::SetThreadCount][1] #wanted=0 #current=3 #max=6
    [f=0039286] [ThreadPool::SetThreadCount][2] #threads=0
    [f=0039286] [SpringApp::ShutDown][2]
    [f=0039286] [KillLua][1]
    [f=0039286] [KillLua][2]
    [f=0039286] Start gadgetHandler:Shutdown
    [f=0039286] Shutdown - UnitMorph
    [f=0039286] Shutdown - CAI
    [f=0039286] Shutdown - LupsNanoSpray
    [f=0039286] Shutdown - Modular Comm Info
    [f=0039286] Shutdown - Puppy Handler
    [f=0039286] Shutdown - StartSetup
    [f=0039286] Shutdown - Terrain Texture Handler
    [f=0039286] Shutdown - UnitCloakShield
    [f=0039286] End gadgetHandler:Shutdown
    [f=0039286] Start gadgetHandler:Shutdown
    [f=0039286] Shutdown - UnitMorph
    [f=0039286] Shutdown - Modular Comm Info
    [f=0039286] Shutdown - Shockwaves
    [f=0039286] Shutdown - UnitCloakShield
    [f=0039286] Shutdown - Lups Cloak FX
    [f=0039286] Shutdown - Lups
    [f=0039286] End gadgetHandler:Shutdown
    [f=0039286] [KillLua][3]
    [f=0039286] Start widgetHandler:Shutdown
    [f=0039286] Shutdown - SaveOrderList Complete
    [f=0039286] Writing last game win data
    [f=0039286] Shutdown - SaveConfigData Complete
    [f=0039286] Shutdown Widget - Deferred rendering
    [f=0039286] Shutdown Widget - EPIC Menu
    [f=0039286] Shutdown Widget - Chili Widget Selector
    [f=0039286] Shutdown Widget - Chili Minimap
    [f=0039286] Shutdown Widget - Local Team Colors
    [f=0039286] Shutdown Widget - HealthBars
    [f=0039286] Shutdown Widget - Noises
    [f=0039286] Shutdown Widget - Unit Icons
    [f=0039286] Shutdown Widget - BuildETA
    [f=0039286] Shutdown Widget - Win Counter
    [f=0039286] Shutdown Widget - Modular Comm Info
    [f=0039286] Shutdown Widget - Chili Economy Panel Default
    [f=0039286] Shutdown Widget - Chili EndGame Window
    [f=0039286] Shutdown Widget - Chili Nuke Warning
    [f=0039286] Shutdown Widget - Chili Spectator Panels
    [f=0039286] Shutdown Widget - Context Menu
    [f=0039286] Shutdown Widget - Darkening
    [f=0039286] Shutdown Widget - Highlight Geos
    [f=0039286] Shutdown Widget - Local Widgets Config
    [f=0039286] Shutdown Widget - MinimapEvents
    [f=0039286] Shutdown Widget - Missile Silo Range
    [f=0039286] Shutdown Widget - Morph Finished notification
    [f=0039286] Shutdown Widget - Stereo3D
    [f=0039286] Shutdown Widget - Startup Info and Selector
    [f=0039286] Shutdown Widget - Mex Placement Handler
    [f=0039286] Shutdown Widget - Chili Selections & CursorTip
    [f=0039286] Shutdown Widget - Music Player
    [f=0039286] Shutdown Widget - Attack AoE
    [f=0039286] Shutdown Widget - MessageBoxes ZK
    [f=0039286] Shutdown Widget - UnitShapes
    [f=0039286] Shutdown Widget - Map Edge Extension
    [f=0039286] Shutdown Widget - Selection Send
    [f=0039286] Shutdown Widget - LupsManager
    [f=0039286] Shutdown Widget - Units on Fire
    [f=0039286] Shutdown Widget - Chili Crude Player List
    [f=0039286] Shutdown Widget - Chili Pro Console
    [f=0039286] Shutdown Widget - Chili Framework
    [f=0039286] Shutdown Widget - Lups
    [f=0039286] Shutdown Widget - Chili Core Selector
    [f=0039286] Shutdown Widget - Pause Screen
    [f=0039286] Shutdown Widget - Lasso Terraform GUI
    [f=0039286] Shutdown Widget - Text To Speech Control
    [f=0039286] invalid DISABLE TTS
    [f=0039286] Shutdown Widget - Chili Integral Menu
    [f=0039286] End widgetHandler:Shutdown
    [f=0039286] [KillLua][4]
    [f=0039286] [~CGame]1]
    [f=0039286] [KillLua][1]
    [f=0039286] [KillLua][2]
    [f=0039286] [KillLua][3]
    [f=0039286] [KillLua][4]
    [f=0039286] [KillMisc][1]
    [f=0039286] [KillMisc][2]
    [f=0039286] [KillRendering][1]
    [f=0039286] Statistics for RectangleOptimizer: 52%
    [f=0039286] [KillInterface][1]
    [f=0039286] [KillInterface][2]
    [f=0039286] [KillSimulation][1]
    [f=0039286] [KillSimulation][2]
    [f=0039286] [CCollisionHandler] dis-/continuous tests: 0/2992781
    [f=0039286] [KillSimulation][3]
    [f=0039286] [~CPathCache(24x32)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=0
    [f=0039286] [~CPathCache(24x32)] cacheHits=180978 hitPercentage=59% numHashColls=0 maxCacheSize=201
    [f=0039286] [~CPathCache(96x128)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=0
    [f=0039286] [~CPathCache(96x128)] cacheHits=308624 hitPercentage=11% numHashColls=0 maxCacheSize=201
    [f=0039286] Statistics for RectangleOptimizer: 52%
    [f=0039286] Statistics for RectangleOptimizer: 52%
    [f=0039286] LosHandler stats: total instances=405958; shared=0%; from cache=27%
    [f=0039286] [KillSimulation][4]
    [f=0039286] [~CGame][2]
    [f=0039286] [~CGame][3]
    [f=0039286] [SpringApp::ShutDown][3]
    [f=0039286] Statistics for local connection:
    Received: 64342 bytes
    Sent: 411639 bytes
    
    [f=0039286] Writing demo: C:\Users\Tim\Documents\My Games\Spring Dev\devEngine\demos\20160517_211027_Comet Catcher Redux_101.0.1-369-g60908d8 develop.sdfz
    [f=0039286] [SpringApp::ShutDown][4]
    [f=0039286] [WatchDog] deregistering controls for thread [audio]
    [f=0039286] [SpringApp::ShutDown][5]
    [f=0039286] [SpringApp::ShutDown][6]
    [f=0039286] [SpringApp::ShutDown][7]
    [LuaSocket] Dumping luasocket rules:
    [LuaSocket] TCP_CONNECT ALLOW * -1
    [LuaSocket] TCP_LISTEN  ALLOW * -1
    [LuaSocket] UDP_LISTEN  ALLOW * -1
    [SpringApp::ShutDown][8]
    [WatchDog] deregistering controls for thread [main]
    [WatchDog::Uninstall][1] hangDetectorThread=00000000
    [SpringApp::ShutDown][9]
    [SpringApp::Run] exitCode=0
    
    txt file icon infolog.txt (44,212 bytes) 2016-05-17 13:57 +

-Relationships
+Relationships

-Notes

~0016307

Google_Frog (reporter)

The mantis indicated that it failed to make the ticket because my png was too large. Apparently it made the ticket anyway.

~0016323

Anonymous (viewer)

Fix b08b2e9ebb913f2b95bccb8c7721cc79ab0aa71e committed to develop branch: fix 0005242: limit AlphaToCoverage to FSAA>=6x

else there are too less coverage samples and the pattern becomes a 1bit mask, repo: spring changeset id: 7079
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2016-05-17 12:53 Google_Frog New Issue
2016-05-17 13:01 Google_Frog Note Added: 0016307
2016-05-17 13:54 hokomoko Description Updated View Revisions
2016-05-17 13:57 Google_Frog File Added: infolog.txt
2016-05-17 14:52 hokomoko Changeset attached => spring develop cf323f65
2016-05-17 14:52 hokomoko Status new => resolved
2016-05-17 14:52 hokomoko Resolution open => fixed
2016-05-17 14:52 hokomoko Assigned To => hokomoko
2016-05-18 00:55 Changeset attached => spring develop b08b2e9e
2016-05-18 00:55 Anonymous Note Added: 0016323
+Issue History